kmod (31+20240202-2ubuntu7.2) noble-security; urgency=medium

  * Disable loading of algif_aead module to mitigate CVE-2026-31431
    (LP: #2150743)
    - debian/modprobe.d/disable-algif_aead.conf

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 30 Apr 2026 08:32:11 -0400

kmod (31+20240202-2ubuntu7.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:49 +0200

kmod (31+20240202-2ubuntu7) noble; urgency=medium

  * d/p/time64.diff: wrap __stat64_time64 and __lstat64_time64
    (Closes: #1065973, LP: #2062157)
  * d/rules: enable tests on armhf

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 18 Apr 2024 18:06:53 +0800

kmod (31+20240202-2ubuntu6) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:05 +0200

kmod (31+20240202-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:41:47 +0000

kmod (31+20240202-2ubuntu4) noble; urgency=medium

  * Re-enable openssl.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 20:31:32 +0100

kmod (31+20240202-2ubuntu3~ppa1) noble; urgency=medium

  * Fix testcase when building for abi=time64.
  * Ignore test results on armhf for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 13:35:14 +0100

kmod (31+20240202-2ubuntu2~ppa1) noble; urgency=medium

  * Bootstrap build without openssl.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 09:21:01 +0000

kmod (31+20240202-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules,modprobe.d,depmod.d:
      Install ubuntu-specific depmod.d & modprobe.d contents
    - Allow to load big compressed modules (LP #2032674):
      - debian/patches/0006-libkmod-support-large-compressed-modules.patch

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Wed, 28 Feb 2024 07:52:08 +0000

kmod (31+20240202-2) unstable; urgency=medium

  * Stop using /usr/lib/modules/ because it requires coordination with other
    packages. (Closes: #1063749)

 -- Marco d'Itri <md@linux.it>  Tue, 13 Feb 2024 17:33:24 +0100

kmod (31+20240202-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 10 Feb 2024 20:10:16 +0100

kmod (31-1) unstable; urgency=medium

  [ Marco d'Itri ]
  * New upstream release.

  [ Helmut Grohne ]
  * DEP17: Move all files to /usr/. (Closes: #1059920)

 -- Marco d'Itri <md@linux.it>  Thu, 04 Jan 2024 20:10:38 +0100

kmod (30+20230601-2.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Enable xz support in the udeb. This is needed since linux 6.6.8-1 hit
    unstable, as its binary packages now ship compressed modules.
  * Declare minimal version for the liblzma-dev build-dep accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 24 Dec 2023 00:08:19 +0100

kmod (30+20230601-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules,modprobe.d,depmod.d:
      Install ubuntu-specific depmod.d & modprobe.d contents
    - Allow to load big compressed modules (LP #2032674):
      - debian/patches/0006-libkmod-support-large-compressed-modules.patch
  * Dropped changes, included in new upstream snapshot:
    - Cherry-pick upstream feature to support in-kernel module
      decompression.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 30 Nov 2023 09:21:11 +0000

kmod (30+20230601-2) unstable; urgency=medium

  * kmod.postinst: run restorecon after creating /etc/modules.

 -- Marco d'Itri <md@linux.it>  Sat, 23 Sep 2023 00:39:17 +0200

kmod (30+20230601-1) unstable; urgency=medium

  * New upstream snapshot.
  * On new systems and if /etc/modules was not been modified locally then
    replace it with a comment which explains that it is obsolete.
  * Remove the related modules(5) man pages.
  * Make the init script ignore /lib/modules-load.d/. (Closes: #1050427)

 -- Marco d'Itri <md@linux.it>  Sat, 26 Aug 2023 02:38:18 +0200

kmod (30+20230519-1ubuntu3) mantic; urgency=medium

  * Allow to load big compressed modules (LP: #2032674):
   - debian/patches/0006-libkmod-support-large-compressed-modules.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 22 Aug 2023 15:40:46 +0000

kmod (30+20230519-1ubuntu2) mantic; urgency=medium

  * Cherry-pick upstream feature to support in-kernel module
    decompression.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 26 Jul 2023 14:30:16 +0100

kmod (30+20230519-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules, d/modprobe.d, d/depmod.d:
      Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 26 Jul 2023 00:42:22 +0100

kmod (30+20230519-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jun 2023 00:34:33 +0200

kmod (30+20221128-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/rules, d/modprobe.d, d/depmod.d:
      Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Wed, 15 Feb 2023 10:04:59 +0000

kmod (30+20221128-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add a dependency on pkg-config | pkgconf. (Closes: #1023895)

 -- Marco d'Itri <md@linux.it>  Sat, 10 Dec 2022 01:02:24 +0100

kmod (30+20220905-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/rules, d/modprobe.d, d/depmod.d:
      Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 22 Nov 2022 15:05:05 +0100

kmod (30+20220905-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove the dependency on lsb-base. (Closes: #1020605)
  * Update the copyright file. (Closes: #1021033)

 -- Marco d'Itri <md@linux.it>  Sat, 08 Oct 2022 05:07:42 +0200

kmod (30+20220630-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/rules, d/modprobe.d, d/depmod.d:
      Install ubuntu-specific depmod.d and modprobe.d contents.
    Dropped (applied upstream):
    - Enable testsuite during build.
    - Build with zstd compression enabled.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Aug 2022 11:13:59 +0200

kmod (30+20220630-3) unstable; urgency=high

  * Make test suite failures non-fatal on mipsel, because some tests
    have been broken on it for years but since no tests were actually
    being run before version 30+20220630-1 then nobody noticed.

 -- Marco d'Itri <md@linux.it>  Sat, 30 Jul 2022 02:25:29 +0200

kmod (30+20220630-2) unstable; urgency=medium

  [ Marco d'Itri ]
  * Implemented the generation of a less strict shlibs file to benefit
    udebs.

  [ Helmut Grohne ]
  * Annotated the zstd dependency with <!nocheck>. (Closes: #1014437)

  [ Witold Baryluk ]
  * Allow USB audio devices to be the first sound device, because nowadays
    they are more common and this is what the other distributions do.

 -- Marco d'Itri <md@linux.it>  Tue, 12 Jul 2022 01:58:34 +0200

kmod (30+20220630-1) unstable; urgency=medium

  * New upstream snapshot.
  * Enabled support for zstd. (Closes: #990092)
  * kmod.postinst: removed code to handle upgrades from Debian <= 8.
    (Closes: #1009349, #1000659)
  * Changed the $PATH in the init script to include /usr/. (Closes: #993297)
  * Enabled the test suite.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jul 2022 13:28:18 +0200

kmod (29-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1952591). Remaining changes:
    - Enable testsuite during build.
    - Build with zstd compression enabled.
    - Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Tue, 17 Aug 2021 09:19:53 +0000

kmod (29-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Aug 2021 09:04:37 +0200

kmod (28-1ubuntu5) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:52:10 +0000

kmod (28-1ubuntu4) impish; urgency=medium

  * Enable testsuite during build.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Jun 2021 13:42:47 +0100

kmod (28-1ubuntu3) impish; urgency=medium

  * Build with zstd compression enabled. LP: #1933491

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Jun 2021 13:03:32 +0100

kmod (28-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:19 +0100

kmod (28-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Jan 2021 17:29:30 -0800

kmod (28-1) unstable; urgency=medium

  * New upstream release.
  * Fixed modinfo -F for built-in modules. (Closes: #970871)

 -- Marco d'Itri <md@linux.it>  Fri, 08 Jan 2021 02:37:04 +0100

kmod (27+20200310-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
  * Dropped changes, included in Debian:
    - d/p/verbose_missing_bin: drop this patch to avoid spurious missing
      file messages

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 16:29:45 -0700

kmod (27+20200310-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Sat, 18 Apr 2020 17:53:55 +0200

kmod (27+20200310-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split kmod-udeb off of libkmod2-udeb and actually ship the libraries
    in libkmod2-udeb. (Closes: #953952)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Apr 2020 00:59:25 +0200

kmod (27-2) unstable; urgency=medium

  * Drop the verbose_missing_bin patch, which became too much noisy after
    new files were introduced by 5.3 kernels. (Closes: #949444)

 -- Marco d'Itri <md@linux.it>  Fri, 13 Mar 2020 22:53:37 +0100

kmod (27-1ubuntu2) focal; urgency=medium

  * d/p/verbose_missing_bin: drop this patch to avoid spurious missing
    file messages when running depmod -a for the first time in recent
    kernels (>= 5.3.x) (LP: #1864992)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 12 Mar 2020 13:15:28 +0000

kmod (27-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Feb 2020 09:01:03 -0800

kmod (27-1) unstable; urgency=medium

  * New upstream release.
  * Reset the SELinux file attributes in the initramfs. (Closes: #948366)

 -- Marco d'Itri <md@linux.it>  Wed, 19 Feb 2020 04:56:30 +0100

kmod (26+20191223-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 08:49:00 -0800

kmod (26+20191223-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Rely on pre-initialized dpkg-architecture variables.
  * Set upstream metadata fields: Repository.

  [ Marco d'Itri ]
  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Mon, 06 Jan 2020 01:59:49 +0100

kmod (26-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
  * Dropped changes, superseded in Debian:
    - Fix rules to only build indep packages for binary-indep.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 15:32:02 -0700

kmod (26-3) unstable; urgency=medium

  * Create again /etc/modprobe.d/. (Closes: #940221)
  * Do not reference removed options support in modules(5). (Closes: #931136)

 -- Marco d'Itri <md@linux.it>  Tue, 17 Sep 2019 21:40:12 +0200

kmod (26-2) unstable; urgency=medium

  * Removed --add-udeb from dh_makeshlibs, since libkmod2-udeb does not
    actually contain a library. (Closes: #939779)
  * Switched to dh.

 -- Marco d'Itri <md@linux.it>  Wed, 11 Sep 2019 09:29:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkmod2`.
